
Ruby - Bug #14166

vagrant 

12/11/2017 10:17 AM - andybrookestar (andy brookes)

Status: Third Party's Issue   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.3: UNKNOWN, 2.4: UNKNOWN

Description

trying to get laravel installed on slackware14.2 .Virtualbox up & running. Installed vagrant package from slackbuilds.its 

vagrant-2.0.1-i586-1_SBo.tgz .normally oon a new package i run $packname or $packagename --help as a start. Did this with

vagrant  & got below

$vagrant

/opt/vagrant/embedded/gems/gems/vagrant-share-1.1.9/lib/vagrant-share.rb:10: [BUG] Segmentation fault at 0x00000008

ruby 2.4.2p198 (2017-09-14 revision 59899) [i686-linux]

-- Control frame information -----------------------------------------------

c:0013 p:0037 s:0088 e:000087 TOP    /opt/vagrant/embedded/gems/gems/vagrant-share-1.1.9/lib/vagrant-share.rb:10 [FINISH]

c:0012 p:---- s:0085 e:000084 CFUNC  :RGLoader_load

c:0011 p:0207 s:0080 e:000079 TOP    /opt/vagrant/embedded/gems/gems/vagrant-share-1.1.9/lib/vagrant-share.rb:16 [FINISH]

c:0010 p:---- s:0073 e:000072 CFUNC  :require

c:0009 p:0132 s:0068 e:000067 METHOD /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/core_ext/kernel_require.rb:55

c:0008 p:0050 s:0056 e:000055 BLOCK  /opt/vagrant/embedded/gems/gems/vagrant-2.0.1/lib/vagrant.rb:314 [FINISH]

c:0007 p:---- s:0049 e:000048 CFUNC  :each

c:0006 p:0695 s:0045 E:0001c8 TOP    /opt/vagrant/embedded/gems/gems/vagrant-2.0.1/lib/vagrant.rb:310 [FINISH]

c:0005 p:---- s:0036 e:000035 CFUNC  :require

c:0004 p:0103 s:0031 e:000030 RESCUE /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/core_ext/kernel_require.rb:133

c:0003 p:0429 s:0027 e:000026 METHOD /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/core_ext/kernel_require.rb:40

c:0002 p:0241 s:0015 E:002414 EVAL   /opt/vagrant/embedded/gems/gems/vagrant-2.0.1/bin/vagrant:62 [FINISH]

c:0001 p:0000 s:0003 E:000228 (none) [FINISH]

-- Ruby level backtrace information ----------------------------------------

/opt/vagrant/embedded/gems/gems/vagrant-2.0.1/bin/vagrant:62:in <main>'

/opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/core_ext/kernel_require.rb:40:in require'

/opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/core_ext/kernel_require.rb:133:in rescue in require'

/opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/core_ext/kernel_require.rb:133:in require'

/opt/vagrant/embedded/gems/gems/vagrant-2.0.1/lib/vagrant.rb:310:in <top (required)>'

/opt/vagrant/embedded/gems/gems/vagrant-2.0.1/lib/vagrant.rb:310:in each'

/opt/vagrant/embedded/gems/gems/vagrant-2.0.1/lib/vagrant.rb:314:in block in <top (required)>'

/opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/core_ext/kernel_require.rb:55:in require'

/opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/core_ext/kernel_require.rb:55:in require'

/opt/vagrant/embedded/gems/gems/vagrant-share-1.1.9/lib/vagrant-share.rb:16:in <top (required)>'

/opt/vagrant/embedded/gems/gems/vagrant-share-1.1.9/lib/vagrant-share.rb:16:in RGLoader_load'

/opt/vagrant/embedded/gems/gems/vagrant-share-1.1.9/lib/vagrant-share.rb:10:in '

-- Machine register context ------------------------------------------------

GS: 0x00000033  FS: 0xc1c00000  ES: 0xffff007b  DS: 0x0000007b EDI: 0xbfe42ec4

ESI: 0xb71a2ed0 EBP: 0xbfe42568 ESP: 0xbfe42550 EBX: 0xb76f6eb8 EDX: 0x00000000

ECX: 0x0979526c EAX: 0x00000000 TRA: 0x0000000e ERR: 0x00000004 EIP: 0xb762c5b9

CS: 0x00000073 EFL: 0x00210296 UES: 0xbfe42550  SS: 0x0000007b

-- C level backtrace information -------------------------------------------

/opt/vagrant/embedded/bin/../lib/libruby.so.2.4 [0xb7661390]

/opt/vagrant/embedded/bin/../lib/libruby.so.2.4 [0xb74ed63f]

/opt/vagrant/embedded/bin/../lib/libruby.so.2.4 [0xb75d0eb7]

linux-gate.so.1 [0xb7703ba0]

[0xb764abea]

[0xb764cc23]

[0xb6e05e1d]

[0xb76329b3]

05/15/2025 1/8



[0xb763bf1d]

[0xb765b9d8]

[0xb765ce06]

[0xb764379d]

[0xb764cc23]

[0xb753409e]

[0xb7536049]

[0xb75361a1]

[0xb7536305]

[0xb76329b3]

[0xb763bf1d]

[0xb764379d]

[0xb764cc23]

[0xb7658ff9]

[0xb7510cea]

[0xb75100e5]

[0xb75da601]

[0xb7511d8b]

[0xb74f0406]

[0xb75113d7]

[0xb75118d8]

[0xb763299d]

[0xb763bf1d]

[0xb765b9d8]

[0xb765ce06]

[0xb7645b3a]

[0xb764cc23]

[0xb753409e]

[0xb7536049]

[0xb75361a1]

[0xb7536305]

[0xb76329b3]

[0xb763bf1d]

[0xb764379d]

[0xb764cc23]

[0xb74efedb]

[0xb74f45b9]

/opt/vagrant/embedded/bin/ruby(main+0x61) [0x8048731]

-- Other runtime information -----------------------------------------------

Loaded script: /opt/vagrant/embedded/gems/gems/vagrant-2.0.1/bin/vagrant

Loaded features:

0 enumerator.so

1 thread.rb

2 rational.so

3 complex.so

4 /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/enc/encdb.so

5 /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/enc/trans/transdb.so

6 /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/enc/iso_8859_1.so

7 /opt/vagrant/embedded/lib/ruby/2.4.0/unicode_normalize.rb

8 /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/rbconfig.rb

9 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/compatibility.rb

10 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/defaults.rb

11 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/deprecate.rb

12 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/errors.rb

13 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/version.rb

14 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/requirement.rb

15 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/platform.rb

16 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/basic_specification.rb

17 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/stub_specification.rb

18 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/util/list.rb

19 /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/stringio.so

20 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/specification.rb

21 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/exceptions.rb
22 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/dependency.rb

23 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/core_ext/kernel_gem.rb

24 /opt/vagrant/embedded/lib/ruby/2.4.0/monitor.rb

25 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/core_ext/kernel_require.rb

26 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems.rb

27 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/path_support.rb

28 /opt/vagrant/embedded/gems/gems/log4r-1.1.10/lib/log4r/version.rb

29 /opt/vagrant/embedded/gems/gems/log4r-1.1.10/lib/log4r/config.rb

30 /opt/vagrant/embedded/gems/gems/log4r-1.1.10/lib/log4r/base.rb

31 /opt/vagrant/embedded/lib/ruby/2.4.0/singleton.rb

32 /opt/vagrant/embedded/gems/gems/log4r-1.1.10/lib/log4r/repository.rb

33 /opt/vagrant/embedded/gems/gems/log4r-1.1.10/lib/log4r/logevent.rb

34 /opt/vagrant/embedded/gems/gems/log4r-1.1.10/lib/log4r/loggerfactory.rb

35 /opt/vagrant/embedded/gems/gems/log4r-1.1.10/lib/log4r/staticlogger.rb

36 /opt/vagrant/embedded/gems/gems/log4r-1.1.10/lib/log4r/logger.rb

37 /opt/vagrant/embedded/gems/gems/log4r-1.1.10/lib/log4r/outputter/outputterfactory.rb

38 /opt/vagrant/embedded/gems/gems/log4r-1.1.10/lib/log4r/formatter/formatter.rb

39 /opt/vagrant/embedded/gems/gems/log4r-1.1.10/lib/log4r/outputter/outputter.rb

40 /opt/vagrant/embedded/gems/gems/log4r-1.1.10/lib/log4r/outputter/iooutputter.rb

41 /opt/vagrant/embedded/gems/gems/log4r-1.1.10/lib/log4r/outputter/fileoutputter.rb

42 /opt/vagrant/embedded/gems/gems/log4r-1.1.10/lib/log4r/outputter/consoleoutputters.rb

43 /opt/vagrant/embedded/gems/gems/log4r-1.1.10/lib/log4r/outputter/staticoutputter.rb

44 /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/etc.so

45 /opt/vagrant/embedded/lib/ruby/2.4.0/fileutils.rb

46 /opt/vagrant/embedded/gems/gems/log4r-1.1.10/lib/log4r/outputter/rollingfileoutputter.rb

47 /opt/vagrant/embedded/gems/gems/log4r-1.1.10/lib/log4r/GDC.rb

48 /opt/vagrant/embedded/gems/gems/log4r-1.1.10/lib/log4r/MDC.rb

49 /opt/vagrant/embedded/gems/gems/log4r-1.1.10/lib/log4r/NDC.rb

50 /opt/vagrant/embedded/gems/gems/log4r-1.1.10/lib/log4r/formatter/patternformatter.rb

51 /opt/vagrant/embedded/gems/gems/log4r-1.1.10/lib/log4r.rb

52 /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/pathname.so

53 /opt/vagrant/embedded/lib/ruby/2.4.0/pathname.rb

54 /opt/vagrant/embedded/lib/ruby/2.4.0/delegate.rb

55 /opt/vagrant/embedded/lib/ruby/2.4.0/tmpdir.rb

56 /opt/vagrant/embedded/lib/ruby/2.4.0/tempfile.rb

57 /opt/vagrant/embedded/gems/gems/vagrant-2.0.1/lib/vagrant/shared_helpers.rb

58 /opt/vagrant/embedded/lib/ruby/2.4.0/json/version.rb

59 /opt/vagrant/embedded/lib/ruby/2.4.0/ostruct.rb

60 /opt/vagrant/embedded/lib/ruby/2.4.0/json/generic_object.rb

61 /opt/vagrant/embedded/lib/ruby/2.4.0/json/common.rb

62 /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/json/ext/parser.so

63 /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/json/ext/generator.so

64 /opt/vagrant/embedded/lib/ruby/2.4.0/json/ext.rb

65 /opt/vagrant/embedded/lib/ruby/2.4.0/json.rb

66 /opt/vagrant/embedded/gems/gems/childprocess-0.6.3/lib/childprocess/version.rb

67 /opt/vagrant/embedded/gems/gems/childprocess-0.6.3/lib/childprocess/errors.rb

68 /opt/vagrant/embedded/gems/gems/childprocess-0.6.3/lib/childprocess/abstract_process.rb

69 /opt/vagrant/embedded/gems/gems/childprocess-0.6.3/lib/childprocess/abstract_io.rb

70 /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/fcntl.so

71 /opt/vagrant/embedded/gems/gems/childprocess-0.6.3/lib/childprocess/unix/io.rb

72 /opt/vagrant/embedded/gems/gems/childprocess-0.6.3/lib/childprocess/unix/process.rb

73 /opt/vagrant/embedded/gems/gems/childprocess-0.6.3/lib/childprocess/unix/fork_exec_process.rb

74 /opt/vagrant/embedded/gems/gems/childprocess-0.6.3/lib/childprocess/unix.rb

75 /opt/vagrant/embedded/gems/gems/childprocess-0.6.3/lib/childprocess.rb

76 /opt/vagrant/embedded/gems/gems/i18n-0.8.0/lib/i18n/version.rb

77 /opt/vagrant/embedded/lib/ruby/2.4.0/cgi/core.rb

78 /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/cgi/escape.so

79 /opt/vagrant/embedded/lib/ruby/2.4.0/cgi/util.rb

80 /opt/vagrant/embedded/lib/ruby/2.4.0/cgi/cookie.rb

81 /opt/vagrant/embedded/lib/ruby/2.4.0/cgi.rb

82 /opt/vagrant/embedded/gems/gems/i18n-0.8.0/lib/i18n/exceptions.rb

83 /opt/vagrant/embedded/gems/gems/i18n-0.8.0/lib/i18n/interpolate/ruby.rb

84 /opt/vagrant/embedded/gems/gems/i18n-0.8.0/lib/i18n.rb

85 /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/digest.so

86 /opt/vagrant/embedded/lib/ruby/2.4.0/digest.rb

87 /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/openssl.so

88 /opt/vagrant/embedded/lib/ruby/2.4.0/openssl/bn.rb
89 /opt/vagrant/embedded/lib/ruby/2.4.0/openssl/pkey.rb

90 /opt/vagrant/embedded/lib/ruby/2.4.0/openssl/cipher.rb

91 /opt/vagrant/embedded/lib/ruby/2.4.0/openssl/config.rb

92 /opt/vagrant/embedded/lib/ruby/2.4.0/openssl/digest.rb

93 /opt/vagrant/embedded/lib/ruby/2.4.0/openssl/x509.rb

94 /opt/vagrant/embedded/lib/ruby/2.4.0/openssl/buffering.rb

95 /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/io/nonblock.so

96 /opt/vagrant/embedded/lib/ruby/2.4.0/openssl/ssl.rb

97 /opt/vagrant/embedded/lib/ruby/2.4.0/openssl.rb

98 /opt/vagrant/embedded/gems/gems/vagrant-2.0.1/lib/vagrant/version.rb

99 /opt/vagrant/embedded/gems/gems/vagrant-2.0.1/lib/vagrant/plugin.rb

100 /opt/vagrant/embedded/gems/gems/vagrant-2.0.1/lib/vagrant/registry.rb

101 /opt/vagrant/embedded/lib/ruby/2.4.0/set.rb

102 /opt/vagrant/embedded/gems/gems/i18n-0.8.0/lib/i18n/config.rb

103 /opt/vagrant/embedded/lib/ruby/2.4.0/uri/rfc2396_parser.rb

104 /opt/vagrant/embedded/lib/ruby/2.4.0/uri/rfc3986_parser.rb

105 /opt/vagrant/embedded/lib/ruby/2.4.0/uri/common.rb

106 /opt/vagrant/embedded/lib/ruby/2.4.0/uri/generic.rb

107 /opt/vagrant/embedded/lib/ruby/2.4.0/uri/ftp.rb

108 /opt/vagrant/embedded/lib/ruby/2.4.0/uri/http.rb

109 /opt/vagrant/embedded/lib/ruby/2.4.0/uri/https.rb

110 /opt/vagrant/embedded/lib/ruby/2.4.0/uri/ldap.rb

111 /opt/vagrant/embedded/lib/ruby/2.4.0/uri/ldaps.rb

112 /opt/vagrant/embedded/lib/ruby/2.4.0/uri/mailto.rb

113 /opt/vagrant/embedded/lib/ruby/2.4.0/uri.rb

114 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/util.rb

115 /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/io/console.so

116 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/user_interaction.rb

117 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/security/policy.rb

118 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/security/policies.rb

119 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/security/trust_dir.rb

120 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/security/signer.rb

121 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/security.rb

122 /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/zlib.so

123 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/package/digest_io.rb

124 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/package/source.rb

125 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/package/file_source.rb

126 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/package/io_source.rb

127 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/package/old.rb

128 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/package/tar_header.rb

129 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/package/tar_reader/entry.rb

130 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/package/tar_reader.rb

131 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/package/tar_writer.rb

132 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/package.rb

133 /opt/vagrant/embedded/lib/ruby/2.4.0/tsort.rb

134 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/dependency_list.rb

135 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/request_set/gem_dependency_api.rb

136 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/request_set/lockfile/parser.rb

137 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/request_set/lockfile/tokenizer.rb

138 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/request_set/lockfile.rb

139 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/request_set.rb

140 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/molinillo/lib/molinillo/gem_metadata.rb

141 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/molinillo/lib/molinillo/errors.rb

142 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/molinillo/lib/molinillo/dependency_graph/action.rb

143 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/molinillo/lib/molinillo/dependency_graph/add_edge_no_circular.rb

144 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/molinillo/lib/molinillo/dependency_graph/add_vertex.rb

145 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/molinillo/lib/molinillo/dependency_graph/delete_edge.rb

146 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/molinillo/lib/molinillo/dependency_graph/detach_vertex_named.rb

147 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/molinillo/lib/molinillo/dependency_graph/set_payload.rb

148 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/molinillo/lib/molinillo/dependency_graph/tag.rb

149 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/molinillo/lib/molinillo/dependency_graph/log.rb

150 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/molinillo/lib/molinillo/dependency_graph/vertex.rb

151 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/molinillo/lib/molinillo/dependency_graph.rb

152 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/molinillo/lib/molinillo/state.rb

153 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/molinillo/lib/molinillo/modules/specification_provider.rb

154 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/molinillo/lib/molinillo/delegates/resolution_state.rb

155 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/molinillo/lib/molinillo/delegates/specification_provider.rb

05/15/2025 4/8



156 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/molinillo/lib/molinillo/resolution.rb

157 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/molinillo/lib/molinillo/resolver.rb

158 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/molinillo/lib/molinillo/modules/ui.rb

159 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/molinillo/lib/molinillo.rb

160 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/molinillo.rb

161 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/activation_request.rb

162 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/conflict.rb

163 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/dependency_request.rb

164 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/requirement_list.rb

165 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/stats.rb

166 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/set.rb

167 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/api_set.rb

168 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/composed_set.rb

169 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/best_set.rb

170 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/current_set.rb

171 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/git_set.rb

172 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/index_set.rb

173 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/installer_set.rb

174 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/lock_set.rb

175 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/vendor_set.rb

176 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/source_set.rb

177 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/specification.rb

178 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/spec_specification.rb

179 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/api_specification.rb

180 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/git_specification.rb

181 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/index_specification.rb

182 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/installed_specification.rb

183 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/local_specification.rb

184 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/lock_specification.rb

185 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver/vendor_specification.rb

186 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/resolver.rb

187 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/source/git.rb

188 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/source/installed.rb

189 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/source/specific_file.rb

190 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/source/local.rb

191 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/source/lock.rb

192 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/source/vendor.rb

193 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/source.rb

194 /opt/vagrant/embedded/lib/ruby/2.4.0/rdoc.rb

195 /opt/vagrant/embedded/lib/ruby/2.4.0/rdoc/rubygems_hook.rb

196 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/rdoc.rb

197 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/uninstaller.rb

198 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/name_tuple.rb

199 /opt/vagrant/embedded/gems/gems/vagrant-2.0.1/lib/vagrant/util.rb

200 /opt/vagrant/embedded/gems/gems/vagrant-2.0.1/lib/vagrant/util/safe_env.rb

201 /opt/vagrant/embedded/gems/gems/vagrant-2.0.1/lib/vagrant/bundler.rb

202 /opt/vagrant/embedded/gems/gems/vagrant-2.0.1/lib/vagrant/plugin/state_file.rb

203 /opt/vagrant/embedded/gems/gems/vagrant-2.0.1/lib/vagrant/plugin/manager.rb

204 /opt/vagrant/embedded/gems/gems/vagrant-2.0.1/lib/vagrant/util/deep_merge.rb

205 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/config_file.rb

206 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/versions.rb

207 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/exception.rb

208 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/syntax_error.rb

209 /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/psych.so

210 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/omap.rb

211 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/set.rb

212 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/class_loader.rb

213 /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/strscan.so

214 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/scalar_scanner.rb

215 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/nodes/node.rb

216 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/nodes/stream.rb

217 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/nodes/document.rb

218 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/nodes/sequence.rb

219 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/nodes/scalar.rb

220 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/nodes/mapping.rb

221 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/nodes/alias.rb

222 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/nodes.rb
223 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/streaming.rb

224 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/visitors/visitor.rb

225 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/visitors/to_ruby.rb

226 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/visitors/emitter.rb

227 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/handler.rb

228 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/tree_builder.rb

229 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/visitors/yaml_tree.rb

230 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/json/ruby_events.rb

231 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/visitors/json_tree.rb

232 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/visitors/depth_first.rb

233 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/visitors.rb

234 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/parser.rb

235 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/coder.rb

236 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/core_ext.rb

237 /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/date_core.so

238 /opt/vagrant/embedded/lib/ruby/2.4.0/date.rb

239 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/deprecated.rb

240 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/stream.rb

241 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/json/yaml_events.rb

242 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/json/tree_builder.rb

243 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/json/stream.rb

244 /opt/vagrant/embedded/lib/ruby/2.4.0/psych/handlers/document_stream.rb

245 /opt/vagrant/embedded/lib/ruby/2.4.0/psych.rb

246 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/psych_additions.rb

247 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/psych_tree.rb

248 /opt/vagrant/embedded/lib/ruby/2.4.0/yaml.rb

249 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/syck_hack.rb

250 /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/enc/utf_16le.so

251 /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/enc/utf_16be.so

252 /opt/vagrant/embedded/lib/ruby/2.4.0/rubygems/source_list.rb

253 /opt/vagrant/embedded/gems/gems/vagrant-2.0.1/lib/vagrant/plugin/v2/components.rb

254 /opt/vagrant/embedded/gems/gems/vagrant-2.0.1/lib/vagrant/plugin/v2/errors.rb

255 /opt/vagrant/embedded/gems/gems/vagrant-2.0.1/lib/vagrant/plugin/v2.rb

256 /opt/vagrant/embedded/gems/gems/vagrant-2.0.1/lib/vagrant/plugin/v2/plugin.rb

257 /opt/vagrant/embedded/gems/gems/vagrant-2.0.1/lib/vagrant/plugin/v2/manager.rb

258 /opt/vagrant/embedded/gems/gems/vagrant-2.0.1/lib/vagrant/plugin/v1/errors.rb

259 /opt/vagrant/embedded/gems/gems/vagrant-2.0.1/lib/vagrant/plugin/v1.rb

260 /opt/vagrant/embedded/gems/gems/vagrant-2.0.1/lib/vagrant/plugin/v1/plugin.rb

261 /opt/vagrant/embedded/gems/gems/vagrant-2.0.1/lib/vagrant/plugin/v1/manager.rb

262 /opt/vagrant/embedded/gems/gems/vagrant-2.0.1/plugins/provisioners/chef/command_builder.rb

263 /opt/vagrant/embedded/rgloader/rgloader24.linux.so

264 /opt/vagrant/embedded/rgloader/loader.rb

Process memory map:

08048000-08049000 r-xp 00000000 08:02 26087004   /opt/vagrant/embedded/bin/ruby

08049000-0804a000 rw-p 00000000 08:02 26087004   /opt/vagrant/embedded/bin/ruby

0975f000-09f36000 rw-p 00000000 00:00 0          [heap]

b6daa000-b6dc6000 r-xp 00000000 08:02 20054119   /usr/lib/libgcc_s.so.1

b6dc6000-b6dc7000 r--p 0001b000 08:02 20054119   /usr/lib/libgcc_s.so.1

b6dc7000-b6dc8000 rw-p 0001c000 08:02 20054119   /usr/lib/libgcc_s.so.1

b6dff000-b6e01000 r--s 00000000 08:02 26087004   /opt/vagrant/embedded/bin/ruby

b6e01000-b6e0e000 r-xp 00000000 08:02 26086994   /opt/vagrant/embedded/rgloader/rgloader24.linux.so

b6e0e000-b6e0f000 rw-p 0000d000 08:02 26086994   /opt/vagrant/embedded/rgloader/rgloader24.linux.so

b6e0f000-b6e10000 r-xp 00000000 08:02 24268092   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/enc/utf_16be.so

b6e10000-b6e11000 rw-p 00000000 08:02 24268092   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/enc/utf_16be.so

b6e11000-b6e12000 r-xp 00000000 08:02 24268096   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/enc/utf_16le.so

b6e12000-b6e13000 rw-p 00000000 08:02 24268096   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/enc/utf_16le.so

b6e13000-b6e4c000 r-xp 00000000 08:02 24268165   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/date_core.so

b6e4c000-b6e4d000 rw-p 00038000 08:02 24268165   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/date_core.so

b6e4d000-b6e51000 r-xp 00000000 08:02 24268063   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/strscan.so

b6e51000-b6e52000 rw-p 00003000 08:02 24268063   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/strscan.so

b6e52000-b6e79000 r-xp 00000000 08:02 24131485   /opt/vagrant/embedded/lib/libyaml-0.so.2

b6e79000-b6e7a000 rw-p 00026000 08:02 24131485   /opt/vagrant/embedded/lib/libyaml-0.so.2

b6e7a000-b6e7f000 r-xp 00000000 08:02 24268161   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/psych.so

b6e7f000-b6e80000 rw-p 00005000 08:02 24268161   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/psych.so
b6e80000-b6e98000 r-xp 00000000 08:02 24131469   /opt/vagrant/embedded/lib/libz.so.1

b6e98000-b6e99000 rw-p 00017000 08:02 24131469   /opt/vagrant/embedded/lib/libz.so.1

b6e99000-b6ea6000 r-xp 00000000 08:02 24268162   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/zlib.so

b6ea6000-b6ea7000 rw-p 0000c000 08:02 24268162   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/zlib.so

b6ea7000-b6eaa000 r-xp 00000000 08:02 24268157   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/io/console.so

b6eaa000-b6eab000 rw-p 00002000 08:02 24268157   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/io/console.so

b6eab000-b6eac000 r-xp 00000000 08:02 24268159   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/io/nonblock.so

b6eac000-b6ead000 rw-p 00000000 08:02 24268159   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/io/nonblock.so

b6ead000-b6ede000 rw-p 00000000 00:00 0

b6ede000-b7062000 r-xp 00000000 08:02 24131464   /opt/vagrant/embedded/lib/libcrypto.so.1.0.0

b7062000-b7079000 rw-p 00183000 08:02 24131464   /opt/vagrant/embedded/lib/libcrypto.so.1.0.0

b7079000-b707c000 rw-p 00000000 00:00 0

b707c000-b70d3000 r-xp 00000000 08:02 24131352   /opt/vagrant/embedded/lib/libssl.so.1.0.0

b70d3000-b70d9000 rw-p 00056000 08:02 24131352   /opt/vagrant/embedded/lib/libssl.so.1.0.0

b70d9000-b7120000 r-xp 00000000 08:02 24268163   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/openssl.so

b7120000-b7122000 rw-p 00046000 08:02 24268163   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/openssl.so

b7122000-b71a4000 rw-p 00000000 00:00 0

b71a4000-b71e7000 r--p 00000000 08:02 23729482   /usr/lib/locale/en_US/LC_CTYPE

b71e7000-b71e9000 rw-p 00000000 00:00 0

b71e9000-b737a000 r-xp 00000000 08:02 14155927   /lib/libc-2.23.so

b737a000-b737b000 ---p 00191000 08:02 14155927   /lib/libc-2.23.so

b737b000-b737d000 r--p 00191000 08:02 14155927   /lib/libc-2.23.so

b737d000-b737e000 rw-p 00193000 08:02 14155927   /lib/libc-2.23.so

b737e000-b7381000 rw-p 00000000 00:00 0

b7381000-b73d3000 r-xp 00000000 08:02 14155931   /lib/libm-2.23.so

b73d3000-b73d4000 r--p 00051000 08:02 14155931   /lib/libm-2.23.so

b73d4000-b73d5000 rw-p 00052000 08:02 14155931   /lib/libm-2.23.so

b73d5000-b73df000 r-xp 00000000 08:02 14155929   /lib/libcrypt-2.23.so

b73df000-b73e0000 r--p 00009000 08:02 14155929   /lib/libcrypt-2.23.so

b73e0000-b73e1000 rw-p 0000a000 08:02 14155929   /lib/libcrypt-2.23.so

b73e1000-b7409000 rw-p 00000000 00:00 0

b7409000-b740c000 r-xp 00000000 08:02 14155930   /lib/libdl-2.23.so

b740c000-b740d000 r--p 00002000 08:02 14155930   /lib/libdl-2.23.so

b740d000-b740e000 rw-p 00003000 08:02 14155930   /lib/libdl-2.23.so

b740e000-b7415000 r-xp 00000000 08:02 14155944   /lib/librt-2.23.so

b7415000-b7416000 r--p 00006000 08:02 14155944   /lib/librt-2.23.so

b7416000-b7417000 rw-p 00007000 08:02 14155944   /lib/librt-2.23.so

b7417000-b742f000 r-xp 00000000 08:02 14155942   /lib/libpthread-2.23.so

b742f000-b7430000 ---p 00018000 08:02 14155942   /lib/libpthread-2.23.so

b7430000-b7431000 r--p 00018000 08:02 14155942   /lib/libpthread-2.23.so

b7431000-b7432000 rw-p 00019000 08:02 14155942   /lib/libpthread-2.23.so

b7432000-b7434000 rw-p 00000000 00:00 0

b7435000-b7438000 r-xp 00000000 08:02 24268130   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/digest.so

b7438000-b7439000 rw-p 00002000 08:02 24268130   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/digest.so

b7439000-b743b000 r-xp 00000000 08:02 24268170   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/cgi/escape.so

b743b000-b743c000 rw-p 00001000 08:02 24268170   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/cgi/escape.so

b743c000-b743d000 r-xp 00000000 08:02 24268132   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/fcntl.so

b743d000-b743e000 rw-p 00000000 08:02 24268132   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/fcntl.so

b743e000-b7446000 r-xp 00000000 08:02 24268147   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/json/ext/generator.so

b7446000-b7447000 rw-p 00007000 08:02 24268147   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/json/ext/generator.so

b7447000-b744c000 r-xp 00000000 08:02 24268148   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/json/ext/parser.so

b744c000-b744d000 rw-p 00004000 08:02 24268148   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/json/ext/parser.so

b744d000-b7453000 r-xp 00000000 08:02 24268149   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/pathname.so

b7453000-b7454000 rw-p 00005000 08:02 24268149   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/pathname.so

b7454000-b7458000 r-xp 00000000 08:02 24268154   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/etc.so

b7458000-b7459000 rw-p 00003000 08:02 24268154   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/etc.so

b7459000-b7460000 r-xp 00000000 08:02 24268128   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/stringio.so

b7460000-b7461000 rw-p 00006000 08:02 24268128   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/stringio.so

b7461000-b7462000 r-xp 00000000 08:02 24268087   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/enc/iso_8859_1.so

b7462000-b7463000 rw-p 00001000 08:02 24268087   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/enc/iso_8859_1.so

b7463000-b7465000 r-xp 00000000 08:02 24268117   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/enc/trans/transdb.so

b7465000-b7466000 rw-p 00002000 08:02 24268117   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/enc/trans/transdb.so

b7466000-b7468000 r-xp 00000000 08:02 24268091   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/enc/encdb.so

b7468000-b7469000 rw-p 00001000 08:02 24268091   /opt/vagrant/embedded/lib/ruby/2.4.0/i686-linux/enc/encdb.so

b7469000-b746a000 ---p 00000000 00:00 0

b746a000-b746d000 rw-p 00000000 00:00 0          [stack:3162]

b746d000-b76f4000 r-xp 00000000 08:02 24131495   /opt/vagrant/embedded/lib/libruby.so.2.4
b76f4000-b76f9000 rw-p 00286000 08:02 24131495   /opt/vagrant/embedded/lib/libruby.so.2.4

b76f9000-b7701000 rw-p 00000000 00:00 0

b7701000-b7703000 r--p 00000000 00:00 0          [vvar]

b7703000-b7704000 r-xp 00000000 00:00 0          [vdso]

b7704000-b7729000 r-xp 00000000 08:02 14155971   /lib/ld-2.23.so

b7729000-b772a000 r--p 00024000 08:02 14155971   /lib/ld-2.23.so

b772a000-b772b000 rw-p 00025000 08:02 14155971   /lib/ld-2.23.so

bf64d000-bfe4c000 rw-p 00000000 00:00 0

[NOTE]

You may have encountered a bug in the Ruby interpreter or extension libraries.

Bug reports are welcome.

For details: http://www.ruby-lang.org/bugreport.html

bash-4.3$

Related issues:

Has duplicate Ruby - Bug #14167: Segmentation fault with Vagrant 2.0.1 Closed

Has duplicate Ruby - Bug #14254: vagrant add box not working Closed

History

#1 - 01/05/2018 05:58 PM - vo.x (Vit Ondruch)

- Has duplicate Bug #14167: Segmentation fault with Vagrant 2.0.1  added

#2 - 01/05/2018 05:58 PM - vo.x (Vit Ondruch)

- Has duplicate Bug #14254: vagrant add box not working added

#3 - 01/05/2018 06:04 PM - vo.x (Vit Ondruch)

- Status changed from Open to Third Party's Issue

This appears to be Vagrant issue. Please report this to Vagrant upstream:

https://github.com/hashicorp/vagrant/

But I am quite sure somebody else already reported it, since here are already 3 reports ...
